Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Class ContentEntitlementHelper

    java.lang.Object
      com.bea.content.federated.ContentEntitlementHelper

Direct Known Subclasses:
  ContentEntitlementHelper

    public class ContentEntitlementHelper

extends Object

The constants and helper methods used by the entitlement engine runtime.

Field Summary
`static String` | `BROWSE` Deprecated Use CAN_BROWSE instead.
`static String` | `CAN_ASSOCIATE` The DA entitlement capability for associating workflow with content.
`static String` | `CAN_BROWSE` The DA entitlement capability for browsing content.
`static String` | `CAN_CREATE` The DA entitlement capability for creating content.
`static String` | `CAN_DELETE` The DA entitlement capability for deleting content.
`static String` | `CAN_INSTANTIATE` The DA entitlement capability for instantiating content nodes for a given type.
`static String` | `CAN_MANAGE` The DA entitlement capability for managing content.
`static String` | `CAN_PUBLISH` The DA entitlement capability for publishing content.
`static String` | `CAN_UPDATE` The DA entitlement capability for updating content.
`static String` | `CAN_VIEW` The DA entitlement capability for viewing content.
`static String` | `CAN_VISITOR_ASSOCIATE` The visitor entitlement capability for associating workflow with content.
`static String` | `CAN_VISITOR_BROWSE` The visitor entitlement capability for browsing content.
`static String` | `CAN_VISITOR_CREATE` The visitor entitlement capability for creating content.
`static String` | `CAN_VISITOR_DELETE` The visitor entitlement capability for deleting content.
`static String` | `CAN_VISITOR_INSTANTIATE` The visitor entitlement capability for instantiating contnnt nodes for a given type.
`static String` | `CAN_VISITOR_MANAGE` The visitor entitlement capability for managing content.
`static String` | `CAN_VISITOR_PUBLISH` The visitor entitlement capability for publishing content.
`static String` | `CAN_VISITOR_UPDATE` The visitor entitlement capability for updating content.
`static String` | `CAN_VISITOR_VIEW` The visitor entitlement capability for viewing content.
`static String` | `CREATE` Deprecated Use CAN_CREATE instead.
`static String` | `DELETE` Deprecated Use CAN_DELETE instead.
`static String` | `REPOSITORY_ROOT` The root of all the repositories
`static String` | `RESOURCE_CONTENT` The taxonomy prefix for content nodes
`static String` | `RESOURCE_REPOSITORY` The taxonomy prefix for content repositories
`static String` | `RESOURCE_TYPE` The taxonomy prefix for content types
`static String` | `RESOURCE_WORKFLOW` The taxonomy prefix for workflows
`static String` | `UPDATE` Deprecated Use CAN_UPDATE instead.
`static String` | `VIEW` Deprecated Use CAN_VIEW instead.

Constructor Summary
`ContentEntitlementHelper()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAN_VIEW

    public static final String CAN_VIEW

  The DA entitlement capability for viewing content.

  See Also
    Constants Summary

### CAN_UPDATE

    public static final String CAN_UPDATE

  The DA entitlement capability for updating content.

  See Also
    Constants Summary

### CAN_CREATE

    public static final String CAN_CREATE

  The DA entitlement capability for creating content.

  See Also
    Constants Summary

### CAN_INSTANTIATE

    public static final String CAN_INSTANTIATE

  The DA entitlement capability for instantiating content nodes for a given type.

  See Also
    Constants Summary

### CAN_ASSOCIATE

    public static final String CAN_ASSOCIATE

  The DA entitlement capability for associating workflow with content.

  See Also
    Constants Summary

### CAN_DELETE

    public static final String CAN_DELETE

  The DA entitlement capability for deleting content.

  See Also
    Constants Summary

### CAN_PUBLISH

    public static final String CAN_PUBLISH

  The DA entitlement capability for publishing content.

  See Also
    Constants Summary

### CAN_BROWSE

    public static final String CAN_BROWSE

  The DA entitlement capability for browsing content.

  See Also
    Constants Summary

### CAN_VISITOR_VIEW

    public static final String CAN_VISITOR_VIEW

  The visitor entitlement capability for viewing content.

  See Also
    Constants Summary

### CAN_VISITOR_UPDATE

    public static final String CAN_VISITOR_UPDATE

  The visitor entitlement capability for updating content.

  See Also
    Constants Summary

### CAN_VISITOR_CREATE

    public static final String CAN_VISITOR_CREATE

  The visitor entitlement capability for creating content.

  See Also
    Constants Summary

### CAN_VISITOR_INSTANTIATE

    public static final String CAN_VISITOR_INSTANTIATE

  The visitor entitlement capability for instantiating contnnt nodes for a given type.

  See Also
    Constants Summary

### CAN_VISITOR_ASSOCIATE

    public static final String CAN_VISITOR_ASSOCIATE

  The visitor entitlement capability for associating workflow with content.

  See Also
    Constants Summary

### CAN_VISITOR_DELETE

    public static final String CAN_VISITOR_DELETE

  The visitor entitlement capability for deleting content.

  See Also
    Constants Summary

### CAN_VISITOR_PUBLISH

    public static final String CAN_VISITOR_PUBLISH

  The visitor entitlement capability for publishing content.

  See Also
    Constants Summary

### CAN_VISITOR_MANAGE

    public static final String CAN_VISITOR_MANAGE

  The visitor entitlement capability for managing content.

  See Also
    Constants Summary

### CAN_VISITOR_BROWSE

    public static final String CAN_VISITOR_BROWSE

  The visitor entitlement capability for browsing content.

  See Also
    Constants Summary

### CAN_MANAGE

    public static final String CAN_MANAGE

  The DA entitlement capability for managing content. This should be the same as the one defined in HierarchyServlet.properties

  See Also
    Constants Summary

### RESOURCE_CONTENT

    public static final String RESOURCE_CONTENT

  The taxonomy prefix for content nodes

  See Also
    Constants Summary

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

  The taxonomy prefix for content types

  See Also
    Constants Summary

### RESOURCE_REPOSITORY

    public static final String RESOURCE_REPOSITORY

  The taxonomy prefix for content repositories

  See Also
    Constants Summary

### RESOURCE_WORKFLOW

    public static final String RESOURCE_WORKFLOW

  The taxonomy prefix for workflows

  See Also
    Constants Summary

### REPOSITORY_ROOT

    public static final String REPOSITORY_ROOT

  The root of all the repositories

  See Also
    Constants Summary

### BROWSE

    @Deprecated
    public static final String BROWSE

  Deprecated Use CAN_BROWSE instead.
  See Also
    Constants Summary

### VIEW

    @Deprecated
    public static final String VIEW

  Deprecated Use CAN_VIEW instead.
  See Also
    Constants Summary

### DELETE

    @Deprecated
    public static final String DELETE

  Deprecated Use CAN_DELETE instead.
  See Also
    Constants Summary

### UPDATE

    @Deprecated
    public static final String UPDATE

  Deprecated Use CAN_UPDATE instead.
  See Also
    Constants Summary

### CREATE

    @Deprecated
    public static final String CREATE

  Deprecated Use CAN_CREATE instead.
  See Also
    Constants Summary

Constructor Detail

### ContentEntitlementHelper

    public ContentEntitlementHelper()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.